#!/bin/sh
:
set -xe
ECLIPSE_SRC=$PWD

JAVA_HOME=$1
export JAVA_HOME

cd $ECLIPSE_SRC/plugins/platform-launcher/library/gtk
csh build.csh
cp eclipse ../../bin/linux/gtk/eclipse
cd $ECLIPSE_SRC/plugins/org.eclipse.swt/Eclipse_SWT_PI/gtk/library
sh build.sh JAVA_HOME=$JAVA_HOME
cp *.so ../../../../org.eclipse.swt.gtk/os/linux/x86/
cd $ECLIPSE_SRC/plugins/org.eclipse.update.core.linux/src
ant -DJAVA_HOME=$JAVA_HOME
cd $ECLIPSE_SRC/plugins/org.eclipse.core.resources.linux/src
gmake JAVA_HOME=$JAVA_HOME
cp *.so ../../org.eclipse.core.resources.linux/os/linux/x86
cd $ECLIPSE_SRC
cp plugins/org.eclipse.core.resources.linux/src/libcore_2_1_0b.so \
    plugins/org.eclipse.core.resources.linux/os/linux/x86
./build -os linux -ws gtk -arch x86
